# Satisfied Lieutenant
[![npm version](https://img.shields.io/npm/v/satisfied-lieutenant)](https://www.npmjs.com/package/satisfied-lieutenant)
[![npm total downloads](https://img.shields.io/npm/dt/satisfied-lieutenant)](https://www.npmjs.com/package/satisfied-lieutenant)
[![code size](https://img.shields.io/github/languages/code-size/ChingChang9/satisfied-lieutenant)](https://github.com/ChingChang9/satisfied-lieutenant)

Customize Discord with your favourite wallpaper and spice up _your place to talk_ with a minimalistic material design!

Example 1 | Example 2 | Example 3 (Light mode)
-|-|-
![Discord Hayasaka Theme](./assets/hayasaka.jpg) | ![Discord Mirio Theme](./assets/mirio.jpg) | ![Discord Kaho Light Theme](./assets/kaho.jpg)

## Installation
```sh
npm install satisfied-lieutenant
```
Then go into `./config.json` and change the value of `asarPath` to the __full
path__ to your Discord's `core.asar` file.
It should be found in the following location:
- Mac: `/Users/<username>/Library/Application Support/discord/0.0.xxx/modules/discord_desktop_core/core.asar`
- Window: `/Users/<username>/AppData/discord/0.0.xxx/modules/discord_desktop_core/core.asar`

Or just use [the website](https://satisfiedlieutenant.netlify.app) without installing anything.

## Usage
#### Using command line
```sh
# To list the available wallpapers
node .

# To get the mirio wallpaper
node . mirio
```
This will rewrite your Discord starter file to load a custom CSS on launch.

#### Using the website
You don't need to install the code if you're using it from the website.
Simply paste the image url and shadow value into the input boxes and hit copy.
This will save the code to style up your Discord in your clipboard so you can
paste it in Discord's console right away.
See [Using custom wallpapers](#using-custom-wallpapers) for more information on
the url and shadow value.

To paste the code in Discord's console, you need to first open it by pressing `cmd` + `opt` + `I` on Mac or `ctrl` + `shift` + `I` on Windows.
You should see something similar to this:
<kbd>![Chrome Developer Console](./assets/console.jpg)</kbd>

You might also see this warning:
<kbd>![Discord console warning](./assets/warning.jpg)</kbd>

So get your resume ready for Discord and paste the code.
Now you have an awesome theme to share with your friends!
(Or Wumpus, if you don't have friends)

## Using custom wallpapers
All available background names can be found in `src/backgrounds.json`. You can add your own backgrounds to `src/backgrounds.json` using the following format:
```js
{
  "your-background-name": {
    "url": "your-image-url",
    "shadow": value
  }
}
```
- `your-background-name`: The name you will reference when running from the
command line
- `your-image-url`: The link of your image.
Due to Discord's content security policy, only links under certain domains can be used.
If you want to use your own image, the easiest way is to upload it to Discord and copy the image link.
- `value`: How much to darken your image on a scale from 0 (no shadow) to 1 (completely black) so the texts are easier to read.
Unlike `your-background-name` and `your-image-url`, don't surround this value with `"`s

## Credits
Inspired by [Ctrl W's Clean Discord](https://userstyles.org/styles/175290/clean-discord). \
I do not own any of the images in `src/backgrounds.json`. All credits of the images go to the original artists on [Wallpaperflare](https://www.wallpaperflare.com/).
