const { generate } = require("./src/scripts/generate.js");
const printColumns = require("./src/scripts/printColumns.js");
const readFromFile = require("./src/scripts/readFromFile.js");
const modifyAsar = require("./src/scripts/modifyAsar.js");
const image = process.argv[2];

if (!image) {
	readFromFile(`./src/backgrounds.json`).then(data => {
		printColumns(JSON.parse(data));
		process.exit();
	});
} else {
	Promise.all([
		readFromFile(`./src/discord.css`),
		readFromFile(`./src/backgrounds.json`)
	]).then(results => {
		const css = results[0].toString();
		const images = JSON.parse(results[1]);

		const code = generate(css, images[image].url, images[image].shadow);
		modifyAsar(code);
	}).catch(error => {
		console.log("Unknown wallpaper");
		process.exit(1);
	});
}
