(function(exports) {
	exports.generate = (css, url, shadow) => {
		const code = css.replace(/\$URL/g, url).replace(/\$SHADOW/g, shadow);
		return `a=document.createElement("style"),b=document.createTextNode('${
			minify(code)
		}');a.appendChild(b),document.head.appendChild(a)`;
	}
})(typeof exports === "undefined" ? this : exports);

function minify(code) {
	return code.replace(/\/\*(.|\n)*?\*\//g, "") // comments
		.replace(/\s*(\{|\}|\[|\]|\(|\)|\:|\;|\,)\s*/g, "$1") // spaces around commas, brackets, and colons
		.replace(/#([\da-fA-F])\1([\da-fA-F])\2([\da-fA-F])\3/g, "#$1$2$3") // hexcodes to 3-hex
		.replace(/( |:)[\+\-]?0(rem|em|ec|ex|px|pc|pt|vh|vw|vmin|vmax|%|mm|cm|in|s)/g, "$10") // remove unit for 0s
		.replace(/( |:)0\.(\d+)/g, "$1.$2") // frontal 0s
		.replace(/\n/g, "") // new lines
		.replace(/;\}/g, "}") // ;s on last line
		.replace(/^\s+|\s+$/g, ""); // spaces
}
