const fs = require("fs");
const { createPackage, extractAll } = require("asar");

// The following trick is inspired by https://gist.github.com/ebith/fa0381b8b386c349da4dd474957791f9
const { asarPath } = require("../../config.json");
const jsPath = "core/app/mainScreen.js";

module.exports = async code => {
	fs.renameSync(asarPath, "core.asar");
	extractAll("core.asar", "core");

	const content = fs.readFileSync(jsPath).toString().replace(/(mainWindow\.webContents\.on\('dom-ready'(.|\n)+mainWindow\.webContents\.send|mainWindow\.webContents\.send)/,
	`mainWindow.webContents.on('dom-ready', () => {
		mainWindow.webContents.executeJavaScript(\`${ code }\`);
	});mainWindow.webContents.send`);

	fs.writeFileSync(jsPath, content);
	await createPackage("core", asarPath);
	fs.rmdirSync("core", { recursive: true });
};
